﻿<div id="wrap" class="mainview-animation animated" ng-controller="servicesController">
    <div id="page-heading">
        <ol class="breadcrumb">
            <li><a ng-href="#/">{{transaction.Dashboard}}</a></li>
            <li class="active">{{transaction.Services}}</li>
        </ol>
        <a ng-click="backButton()" class="glyphicon glyphicon-chevron-left back-arrow"></a>
    </div>
    
    <div class="container-fluid " >
        <div class="panel-loading" ng-show="isDataLoading">
            <div class="panel-loader-dots"></div>
        </div>
        <div class="row" ng-hide="isDataLoading">

            <div class="col-md-12">
                <div class="input-group mb20">
                    <input type="text" class="form-control" ng-model="model.name" placeholder="{{transaction.SearchWith}}  {{transaction.Name}} {{transaction.Service}} ........">
                    <span class="input-group-btn" style="padding-right: 2px">
                        <a class="btn btn-default" ng-click="search()"> <i class="fa fa-fw fa-search"></i></a>
                    </span>
                    <span class="input-group-btn" style="padding-right: 2px">
                        <a class="btn btn-default" ng-click="cancelSearch()"> <i class="fa fa-fw fa-remove"></i></a>
                    </span>
                </div>
                <div class="panel panel-inbox">

                    <div class="panel-body">

                        <div class="inbox-mail-heading">
                            <div class="clearfix spmg-2">
                                <div class="pull-left">
                                    <div class="btn-group spmg2">
                                        <span style="cursor: not-allowed" class="btn btn-default"><i class="glyphicon glyphicon-briefcase"></i></span>
                                        <span style="cursor: not-allowed" class="btn btn-default">
                                            {{transaction.Services}}
                                        </span>
                                    </div>
                                </div>
                                <div class="pull-right">
                                    <div class="btn-group spmg2">
                                        <select class="form-control" style="cursor: pointer" ng-model="pageSize" ng-change="pageChanged(currentPage,pageSize)">
                                            <option ng-repeat="item in showResult" value="{{item}}">{{item}}</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <table class="table table-striped table-hover table-inbox mb0 table-vam">
                            <thead>
                            <tr>
                                <td>#</td>
                                <td ng-click="sort('name')" style="cursor: pointer">
                                    <span ng-show="sortKey == 'name'" ng-class="!sortReverse ? 'fa fa-caret-down' : 'fa fa-caret-up'"></span>
                                    {{transaction.Name}}
                                </td>
                                <td style="text-align: center;">{{transaction.CommentsCount}}</td>
                                <td style="text-align: center;">{{transaction.RatingCount}}</td>
                            </tr>
                            </thead>
                            <tbody>
                            <tr class="unread" ng-repeat="item in data | orderBy:sortKey:sortReverse track by $index">
                                <td>{{$index+1}}</td>
                                <td class="inbox-msg-from hidden-xs hidden-sm" width="20%">
                                    <div>{{item.name}}</div>
                                </td>
                                <td style="text-align: center;"><span class="badge badge-indigo">{{item.commentsCount}}</span></td>
                                <td style="text-align: center;"><span class="badge badge-orange">{{item.ratesCount}}</span></td>

                                <td class="inbox-msg-attach">
                                    <a ng-href="#/serviceDetails?serviceId={{item.serviceId}}">
                                        <i class="fa fa-eye" width="5%" tooltip-placement="top" tooltip-append-to-body="true" tooltip="{{transaction.details}} {{transaction.Service}}"></i>
                                    </a>
                                </td>
                                <td class="inbox-msg-attach"><i class="fa fa-trash-o" style="color: red" ng-click="openConfirm(item.serviceId,$index)" width="1%" tooltip-placement="top" tooltip-append-to-body="true" tooltip="الحذف"></i> </td>

                            </tr>
                            <tr>
                                <td ng-hide="data.length > 0" colspan="6">
                                    <div class="search-result">
                                        <div class="member">
                                            <div class="row" ng-hide="isDataLoading">
                                                <div class="col-xs-12 col-md-9">
                                                    <p>{{transaction.NoResult}}</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        <div class="inbox-mail-footer" ng-if="totalData> 10">
                            <div class="clearfix spmg-2">
                                <div class="pull-right">
                                    <div class="btn-group spmg2 pull-right">
                                        <pagination total-items="totalData" ng-model="currentPage" previous-text="السابق" next-text="التالى" ng-change="pageChanged(currentPage,pageSize)" boundary-link-numbers="true" max-size="10" items-per-page="pageSize"></pagination>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div> <!-- container-fluid -->
</div>